Subject: Re: bug#55527: 28.1; Clearer abbrev docstrings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 21:06:01 +0300

> From: Howard Melman <[email-masked]>
> Date: Sat, 21 May 2022 13:49:48 -0400
> Cc: [email-masked]
> 
> The existing docstrings for these commands had "word(s)" in them
> and I don't think that's what made them unclear.  I also think it's a
> common case to define an abbrev for a multi-word expansion.

I disagree, and let's leave it at that.

> Also, I see now that the inverse- versions of these command treat a 
> negative argument as reversing the direction to find the word to use
> as the abbreviation but the (old and new) docstrings fails to mention 
> this.  I'm not sure if that's intentional or not (IMO it's an odd use case).

This is unrelated.  The effect of negative argument was implied; I've
now made it explicit.

Our disagreement aside, are there any other issues left?